

clear
version 15
set more off
set scheme s1mono

// Figure 1.1. A prototypical item characteristic curve
twoway (function invlogit(x), range(-4 4) lcolor(black) lwidth(vthick))	///
		, ytitle(ICC) 				///
		ylabel(, format(%03.1f)) 	///
		xtitle(theta) 				///
		scheme(s1mono) 				///
		aspectratio(0.5625)



// Figure 5.3
twoway (function invlogit(x), range(-4 4) lcolor(black) lwidth(vthick))		///
	   (function invlogit(2*x), range(-4 4) lcolor(red) lwidth(medium))		///
	   (function invlogit(4*x), range(-4 4) lcolor(blue) lwidth(medium))	///
	   (function invlogit(8*x), range(-4 4) lcolor(lime) lwidth(medium))	///
		, ytitle(ICC) 				///
		ylabel(, format(%03.1f)) 	///
		xtitle(theta) 				///
		legend(off)					///
		scheme(s1mono) 				///
		aspectratio(0.5625)
		
		
// Figure 5.4
twoway (function invlogit(x), range(-4 4) lcolor(black) lwidth(vthick))		///
	   (function invlogit(x-0.3), range(-4 4) lcolor(red) lwidth(medium))	///
	   (function invlogit(x-0.6), range(-4 4) lcolor(blue) lwidth(medium))	///
	   (function invlogit(x-0.9), range(-4 4) lcolor(lime) lwidth(medium))	///
		, ytitle(ICC) 				///
		ylabel(, format(%03.1f)) 	///
		xtitle(theta) 				///
		legend(off)					///
		scheme(s1mono) 				///
		aspectratio(0.5625)

	
// Figure 5.5
twoway function ICC_3PL=.2+.8*exp(1.5*(x-(-1)))/(1+exp(1.5*(x-(-1)))), range(-4 4)




// NOTES

display exp(1*(.5-0))/(1+exp(1*(.5-0))) - exp(1*((-.5)-0))/(1+exp(1*(-.5)-0))   

display exp(1.5*(.5-0))/(1+exp(1.5*(.5-0))) - exp(1.5*((-.5)-0))/(1+exp(1.5*(-.5)-0))


twoway function logistic(x), range(-4 4)		///
		||function logistic(2*x), range(-4 4)	///
		||function logistic(3*x), range(-4 4)	///
		||function logistic(4*x), range(-4 4)


twoway function logistic(x), range(-4 4)		///
		||function logistic(x-1), range(-4 4)	///
		||function logistic(x-2), range(-4 4)	///
		||function logistic(x-3), range(-4 4)







